<%@ page import="java.util.*" %>
<%@ page import="com.sas.oprisk.framework.server.util.*" %>
<%@ page import="com.sas.oprisk.monitor.web.csa.assessment.*" %>
<%@ page import="com.sas.oprisk.monitor.web.table.*" %>
<%@ page import="com.sas.oprisk.server.base.*" %>
<%@ page import="com.sas.oprisk.server.logical.*" %>
<%@ page import="java.util.Calendar" %>
<%@ page import="com.ibm.icu.text.DateFormat" %>
<%@ include file="/tiles/taglibs.jsp" %>

<%@page import="com.sas.oprisk.monitor.web.csa.assessment.ratingsSummary.RatingsSummaryModel"%>
<%@page import="com.sas.oprisk.monitor.web.csa.assessment.ratingsSummary.RatingsSummaryAction"%><%
	final RatingsSummaryModel model = (RatingsSummaryModel)request.getAttribute(RatingsSummaryAction.ATTR_MODEL);
	final MonitorContext mcontext = MonitorRequest.getMonitorContext(request);
	
	final PersistenceSession psession = MonitorContext.getPersistenceSession(request);
	final Locale locale = request.getLocale();
	final ResourceBundle bundle = ApplicationProperties.getBundle(locale);
%>

<mon:Page template="details">
   <mon:Head>
      <mon:include js="/dwr/interface/RCSAService.js" />

      <script type="text/javascript">
      
      function viewAssessment() {
         doQnr('viewAssessment&handle=<c:out value='${rsumModel.assessment.handleString}' />');
      }
      
      function forward(path) {
         var f = document.forms.ratingsSummaryForm;
         f.action = "<%= request.getContextPath() %>/RatingsSummary.do?method=forward";
         f.path.value = path;
         f.submit();
      }
        
      function doQnr(method, anchor) {
         lockCommandButtons();

         var f = document.forms.ratingsSummaryForm;
         f.action = "<%= request.getContextPath() %>/RatingsSummary.do?method=" + method;
         if (typeof(anchor) != 'undefined') {
            f.action += anchor;
         }
         f.submit();
      }
      
      function doSave(method, anchor) {
         lockCommandButtons();
      
         var f = document.forms.ratingsSummaryForm;
         f.action = "<%= request.getContextPath() %>/SaveRatingsSummary.do?method=" + method;
         if (typeof(anchor) != 'undefined') {
            f.action += anchor;
         }
         f.submit();
      }
      
      </script>
   </mon:Head>
   <mon:Body>      
      <html:form action="/RatingsSummary">      
         <mon:ToolBar>            
            <c:if test="${rsumModel.saveButtonEnabled}">  
               <mon:Button name="save" onclick="doSave('save')">
                  <fmt:message key='application.button.save.txt' />
               </mon:Button> 
            </c:if>
       
            <mon:Button name="done" onclick="doQnr('cancel')">
               <c:if test="${not rsumModel.saveButtonEnabled}">       
                   <fmt:message key='application.button.done.txt' />
               </c:if>      
               <c:if test="${ rsumModel.saveButtonEnabled}">       
                   <fmt:message key='application.button.cancel.txt' />
               </c:if>      
            </mon:Button>
                     
            <c:if test="${rsumModel.userReviewer && rsumModel.markAsCompletedButtonEnabled}">  
               <mon:Button name="save" onclick="doSave('markAsCompleted')">
                  <fmt:message key='AssessorQnr.button.markAsCompleted.txt' />
               </mon:Button>     
            </c:if>
            
            <c:if test="${rsumModel.userApprover && rsumModel.readyForApproval}">  
               <mon:Button name="save" onclick="doSave('approve')">
                  <fmt:message key='AssessorQnr.button.approve.txt' />
               </mon:Button> 
            </c:if>
            
            <c:if test="${rsumModel.signOffButtonEnabled}">     
               <mon:Button name="signOff" onclick="doSave('signOff')">
                  <fmt:message key='AssessorQnr.button.signOff.txt' />
               </mon:Button> 
            </c:if>
            
            <c:if test="${rsumModel.canRecallSignOff}">    
               <mon:Button name="recallSignOff" onclick="doQnr('recallSignOff')">
                  <fmt:message key='AssessorQnr.button.recallSignOff.txt' />
               </mon:Button>
            </c:if>
         </mon:ToolBar>
         
         <mon:Content>
            <input type="hidden" name="path" />
            <input type="hidden" name="qnrHandle" value="<c:out value='${uiContext.handle}' />"></input>
            <c:if test="${uiContext.fromAssessmentScreen}">
               <input type="hidden" name="from" value="aw"></input>
            </c:if>
            
            <%-- render the screen --%>
            <cpb:screen readOnly="<%= model.isReadOnly() %>" />

         </mon:Content>   
      </html:form>      
   </mon:Body>
</mon:Page>
